# TdApi.ToggleGroupCallParticipantIsHandRaised (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ToggleGroupCallParticipantIsHandRaised

Package it.tdlight.jni

# Class TdApi.ToggleGroupCallParticipantIsHandRaised

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.ToggleGroupCallParticipantIsHandRaised

Enclosing class:
  TdApi

    public static class TdApi.ToggleGroupCallParticipantIsHandRaised
    extends TdApi.Function

Toggles whether a group call participant hand is rased.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `groupCallId` | Group call identifier.
`boolean` | `isHandRaised` | Pass true if the user's hand needs to be raised.
`TdApi.MessageSender` | `participantId` | Participant identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ToggleGroupCallParticipantIsHandRaised()` | Toggles whether a group call participant hand is rased.
`ToggleGroupCallParticipantIsHandRaised​(int groupCallId, TdApi.MessageSender participantId, boolean isHandRaised)` | Toggles whether a group call participant hand is rased.
`ToggleGroupCallParticipantIsHandRaised​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### participantId

public TdApi.MessageSender participantId
Participant identifier.

### isHandRaised

public boolean isHandRaised
Pass true if the user's hand needs to be raised. Only self hand can be raised. Requires groupCall.canBeManaged group call flag to lower other's hand.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ToggleGroupCallParticipantIsHandRaised

public ToggleGroupCallParticipantIsHandRaised()
Toggles whether a group call participant hand is rased.

Returns `Ok`

### ToggleGroupCallParticipantIsHandRaised

public ToggleGroupCallParticipantIsHandRaised​(int groupCallId, TdApi.MessageSender participantId, boolean isHandRaised)
Toggles whether a group call participant hand is rased.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `participantId` - MessageSender Participant identifier.
  `isHandRaised` - boolean Pass true if the user's hand needs to be raised. Only self hand can be raised. Requires groupCall.canBeManaged group call flag to lower other's hand.

### ToggleGroupCallParticipantIsHandRaised

public ToggleGroupCallParticipantIsHandRaised​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`